=== src/CMakeLists.txt ===
﻿add_subdirectory(apps)
add_subdirectory(framework)
add_subdirectory(plugins)

add_subdirectory(protocol)
