=== src/apps/CMakeLists.txt ===
﻿add_subdirectory(data-transfer)
add_subdirectory(daemon)
add_subdirectory(dde-cooperation)

if (CMAKE_SYSTEM MATCHES "Linux")
    add_subdirectory(dde-cooperation-transfer)
endif()
