=== src/plugins/CMakeLists.txt ===
﻿add_subdirectory(data-transfer)
add_subdirectory(daemon)
add_subdirectory(cooperation)
