=== debian/changelog ===
dde-cooperation (0.8.7-1) unstable; urgency=medium

  * v0.8.7 release.
  * fix the title icon issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 08 Aug 2024 01:21:52 +0800

dde-cooperation (0.8.6) unstable; urgency=medium

  * v0.8.6 release.

 -- liujinchang <liujinchang@uniontech.com>  Mon, 22 Jul 2024 14:49:58 +0800

dde-cooperation (0.8.5) unstable; urgency=medium

  * v0.8.5 release override other incompatible version.
  * fix some UI issues.

 -- re2zero <yangwu@uniontech.com>  Tue, 25 Jun 2024 10:25:16 +0800

dde-cooperation (0.7.11) unstable; urgency=medium

  * v0.7.11 release version.
  * fix some bug.

 -- liujinchang <liujinchang@uniontech.com>  Mon, 13 May 14:40:51 2024 +0800

dde-cooperation (0.7.10) unstable; urgency=medium

  * v0.7.10 release version.
  * fix wifi network.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 18 Apr 15:14:27 2024 +0800

dde-cooperation (0.7.9) unstable; urgency=medium

  * v0.7.9 release version.
  * fix some backend issues.

 -- liujinchang <liujinchang@uniontech.com>  Fri, 12 Apr 15:48:56 2024 +0800

dde-cooperation (0.7.8) unstable; urgency=medium

  * v0.7.8 release version.
  * fix some backend issues.

 -- liujinchang <liujinchang@uniontech.com>  Wed, 3  Apr 16:14:03 2024 +0800

dde-cooperation (0.7.7) unstable; urgency=medium

  * v0.7.7 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Wed, 27 Mar 16:29:48 2024 +0800

dde-cooperation (0.7.6) unstable; urgency=medium

  * v0.7.6 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Tue, 19 Mar 14:25:20 2024 +0800

dde-cooperation (0.7.5) unstable; urgency=medium

  * v0.7.5 release version.
  * linux backend no longer resident

 -- liujinchang <liujinchang@uniontech.com>  Thu, 14 Mar 20:57:29 2024 +0800

dde-cooperation (0.7.4) unstable; urgency=medium

  * v0.7.4 release version.
  * fix port conflict

 -- liujinchang <liujinchang@uniontech.com>  Wed, 13 Mar 10:28:09 2024 +0800

dde-cooperation (0.7.3) unstable; urgency=medium

  * v0.7.3 release version.
  * fix some UI issues.
  * fix retransfer bug.

 -- liujinchang <liujinchang@uniontech.com>  Mon, 11 Mar 2024 15:45:43 +0800

dde-cooperation (0.7.2) unstable; urgency=medium

  * v0.7.2 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 29 Feb 2024 9:25:15 +0800

dde-cooperation (0.7.1) unstable; urgency=medium

  * v0.7.1 release version.
  * fix some UI issues.
  * exit backend with frontend for windows.

 -- re2zero <yangwu@uniontech.com>  Fri, 23 Feb 2024 17:36:16 +0800

dde-cooperation (0.7.0) unstable; urgency=medium

  * v0.7.0 release version.
  * fix some UI issues.
  * dde-cooperation supports manual search to discover cross-subnet segment devices.
  * data-transfer supports clicking the back button to go to the next transfer.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 1 Feb 2024 14:06:15 +0800

dde-cooperation (0.6.3) unstable; urgency=medium

  * v0.6.3 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 25 Jan 2024 11:20:43 +0800

dde-cooperation (0.6.2) unstable; urgency=medium

  * v0.6.2 release version.
  * fix some UI issues and translation.

 -- liujinchang <liujinchang@uniontech.com>  Tue, 23 Jan 2024 11:17:23 +0800

dde-cooperation (0.6.1) unstable; urgency=medium

  * v0.6.1 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Fri, 19 Jan 2024 16:11:23 +0800

dde-cooperation (0.6.0) unstable; urgency=medium

  * v0.6.0 release version.
  * fix some UI issues.
  * update setup scripts for windows.

 -- re2zero <yangwu@uniontech.com>  Wed, 17 Jan 2024 18:16:16 +0800

dde-cooperation (0.5.8) unstable; urgency=medium

  * v0.5.8 release version.
  * fix active user issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 11 Jan 2024 11:56:16 +0800

dde-cooperation (0.5.6.5) unstable; urgency=medium

  * v0.5.6.5 release version.

 -- re2zero <yangwu@uniontech.com>  Wed, 10 Jan 2024 17:16:16 +0800

dde-cooperation (0.5.6-1) unstable; urgency=medium

  * v0.5.6 release version.
  * daemon run as admin.
  * mutil-user run for linux.

 -- re2zero <yangwu@uniontech.com>  Wed, 10 Jan 2024 16:16:16 +0800

dde-cooperation (0.5.5-1) unstable; urgency=medium

  * v0.5.5 release version.
  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Mon, 08 Jan 2024 17:26:16 +0800

dde-cooperation (0.5.0-1) unstable; urgency=medium

  * v0.5.0 release version.
  * refactor file transfer.
  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Thu, 21 Dec 2023 16:36:06 +0800

dde-cooperation (0.4.5-1) unstable; urgency=medium

  * v0.4.5 release version.
  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Tue, 12 Dec 2023 16:36:06 +0800

dde-cooperation (0.4.4-1) unstable; urgency=medium

  * v0.4.4 release version.

 -- re2zero <yangwu@uniontech.com>  Fri, 08 Dec 2023 21:26:16 +0800

dde-cooperation (0.4.3-1) unstable; urgency=medium

  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Thu, 07 Dec 2023 16:36:40 +0800

dde-cooperation (0.4.2-1) unstable; urgency=medium

  * v0.4.2 release version.

 -- re2zero <yangwu@uniontech.com>  Tue, 05 Dec 2023 10:26:40 +0800

dde-cooperation (0.4.1-1) unstable; urgency=medium

  * Fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Mon, 04 Dec 2023 13:35:40 +0800

dde-cooperation (0.4.0-1) unstable; urgency=medium

  * Integrate new backend with data transfer.
  * Fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Wed, 22 Nov 2023 03:50:16 +0800

dde-cooperation (0.3.8-1) unstable; urgency=medium

  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Tue, 14 Nov 2023 18:00:24 +0800

dde-cooperation (0.3.7-7) unstable; urgency=medium

  * v0.3.7 release version.

 -- re2zero <yangwu@uniontech.com>  Tue, 07 Nov 2023 22:53:24 +0800

dde-cooperation (0.3.6-6) unstable; urgency=medium

  * pre-release version.


