=== debian/control ===
Source: dde-cooperation
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 qttools5-dev-tools,
 cmake,
 qtbase5-dev,
 libssl-dev,
 libzip-dev,
 libcurl4-openssl-dev,
 libxtst-dev,
 libavahi-compat-libdnssd-dev,
 libsystemd-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxrender-dev,
 libx11-dev,
 libice-dev,
 libsm-dev,
 libdisplayjack-dev | hello
Standards-Version: 4.1.3
Section: utils
Homepage: http://www.deepin.org

Package: dde-cooperation-dev
Section: libdevel
Architecture: any
Depends: dde-cooperation (= ${binary:Version}), ${misc:Depends}
Description: Development package for deepin cooperation frontend
 This package contains the header files and static libraries

Package: dde-cooperation-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin cooperation backend
 All cooperation related application's backend server

Package: deepin-data-transfer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-cooperation-daemon
Description: deepin data transfer frontend
 Deepin Desktop Environment (DDE) - data transfer frontend.

Package: dde-cooperation-transfer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-cooperation-daemon
Conflicts: dde-cooperation (<< 0.4.2-1)
Description: deepin file transfer frontend
 Deepin Desktop Environment (DDE) - file transfer frontend.

Package: dde-cooperation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-cooperation-transfer
Replaces: barrier
Description: deepin cooperation frontend
 Deepin Desktop Environment (DDE) - cooperation frontend.
